### Method

# Fwupd Codec add_string

since: 2.0.0

#### Declaration [src]

    void
    fwupd_codec_add_string (
      FwupdCodec* self,
      guint idt,
      GString* str
    )

#### Description [src]

Converts an object that implements `FwupdCodec` to a debug string, appending it to `str`.

Available since: 2.0.0

#### Parameters

`idt`

  Type: `guint`

  The indent.

`str`

  Type: `GString`

  A string to append to.

  The data is owned by the caller of the method.